require("socket")--For timing purposes.

function love.load()
  splash_image = love.graphics.newImage('assets/splash_scaled.png')
end

local splash = socket.gettime()
local alpha = 0;
function love.draw()
  if splash then
    local time = (socket.gettime() - splash)
    local pos = time*100-600
    alpha = alpha + 2
    if alpha > 255 then
      alpha = 255
    end
    if pos >= 0 then
      alpha = 255-(pos/2)
      pos = 0
    end
    if alpha <= 0 then
      splash = false
    end
    love.graphics.setColor( 255, 255, 255, alpha )
    love.graphics.draw(splash_image,0,pos)
  else
    print("Splash: Done.");
    love.event.push("q")
  end
end

function round(num, idp)
  local mult = 10^(idp or 0)
  return math.floor(num * mult + 0.5) / mult
end
